{% extends "/default/default.twig" %}
{% block title %}Grafico percorrenza{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/ext_assets/bootstrap-datepicker/datepicker.css" rel="stylesheet">
    <style>
        .datepicker{
            z-index:1151 !important;
        }

        .s_margin{
            margin-left: 2px;
            cursor: auto;
        }
    </style>
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">Grafico percorrenza</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
                <div class="form-group col-md-3">
                    <label>Data di inizio calcolo</label>
                    <input class="form-control datepicker" name="data_start" id="data_start" value="{{data_start_default}}">
                </div>
                <div class="form-group col-md-3">
                    <label>Data fine calcolo</label>
                    <input class="form-control datepicker" name="data_end" id="data_end" value="{{ data_end_default}}">
                </div>
                <div class="form-group col-md-3">
                    <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                    <input type="button" class="form-control btn btn-primary" onclick="generaGrafico();" value="Elabora">
                </div>
            </form>

        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="panel panel-default" id="grafico_percorrenza">
                </div>
            </div>
        </div>
    </div>

{% endblock %}


{% block adding_js %}
    <script src="{{dirDefault}}/ext_assets/bootstrap-datepicker/bootstrap-datepicker.js"></script>
    <script>
        $('.datepicker').datepicker({
            format: 'dd/mm/yyyy'
        });
        generaGrafico();

        function generaGrafico(){
            var data_start = $("#data_start").val();
            var data_end = $("#data_end").val();
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/statistica/load_grafico_percorrenza",
                dataType: "json",
                data: "data_start="+data_start+"&data_end="+data_end
            });
            request.done(function (resp) {
                var content = '';
                for(i in resp){
                    var nome_territorio = resp[i].nome_territorio;
                    var id_territorio = resp[i].id_territorio;
                    var movimenti = resp[i].movimenti;


                    content += "<div class='panel-body' >" +
                            "<a href='{{dirDefault}}/territorio/dettagli/movimenti/"+id_territorio+"' target='_blank' type='button' class='btn ' title='"+title+"' style='width:130px;text-align:left'>" +
                                "<strong>"+nome_territorio+"</strong>" +
                            "</a>";
                    for(m in movimenti){
                        var data_in = movimenti[m].data_in;
                        var data_out = movimenti[m].data_out;
                        var proclamatore = movimenti[m].proclamatore;
                        var nome_lavorazione = movimenti[m].nome_lavorazione;

                        var class_lavorazione = "btn-info";
                        switch(nome_lavorazione) {
                            case "campagna":
                                class_lavorazione = "btn-primary";
                                break;
                            case "commemorazione":
                                class_lavorazione = "btn-primary";
                                break;
                            case "assemblea":
                                class_lavorazione = "btn-primary";
                                break;
                            case "ricerca":
                                class_lavorazione = "btn-danger";
                                break;
                            default:

                        }
                        var title = "uscita: "+data_out+"; rientro: "+data_in+"; procl: "+proclamatore+"; lavorazione: "+nome_lavorazione;
                        content += "<button type='button' class='btn s_margin "+class_lavorazione +" btn-circle' title='"+title+"'></button>";
                    }

                    content += "</div>";
                }
                $("#grafico_percorrenza").html(content);
            });
        }
    </script>
{% endblock %}